### Method

# St ThemeNode lookup_shadow

#### Declaration [src]

    gboolean
    st_theme_node_lookup_shadow (
      StThemeNode* node,
      const char* property_name,
      gboolean inherit,
      StShadow** shadow
    )

#### Description [src]

If the property is not found, the value in the shadow variable will not be changed.

Generically looks up a property containing a set of shadow values. When specific getters (like st_theme_node_get_box_shadow ()) exist, they should be used instead. They are cached, so more efficient, and have handling for shortcut properties and other details of CSS.

See also st_theme_node_get_shadow(), which provides a simpler API.

#### Parameters

`property_name`

  Type: `const char*`

  The name of the shadow property.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`inherit`

  Type: `gboolean`

  If `TRUE`, if a value is not found for the property on the node, then it will be looked up on the parent node, and then on the parent’s parent, and so forth. Note that if the property has a value of ‘inherit’ it will be inherited even if `FALSE` is passed in for `inherit`; this only affects the default behavior for inheritance.

`shadow`

  Type: `StShadow`

  Location to store the shadow.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the property was found in the properties for this theme node (or in the properties of parent nodes when inheriting.), `FALSE` if the property was not found, or was explicitly set to ‘none’.